## debug

Das DebugPackage-Interface bietet Funktionen zur Fehlersuche. Es enthält folgende Methoden:

-   `dump(...toDump): any`:
    void: Diese Methode nimmt eine oder mehrere Datenvariablen entgegen und schreibt diese Daten sowohl in den Server-Log als auch in den Header. Dies kann zur Fehlersuche und -behebung verwendet werden.

-   `sentryTraceId(): string`:
    Diese Methode gibt die ID des aktuellen Sentry-Trace zurück, der zur Überwachung und Nachverfolgung von Fehlern verwendet werden kann.

```ts
interface DebugPackage {
    /**
     * dumps data to header and server log
     *
     * @param toDump data to dump
     */
    dump(...toDump: any): void

    /**
     * get Sentry trace id
     */
    sentryTraceId(): string
}
```
